KDE 4.9 PyKDE API Reference

- KDE's Python API

# NodeList Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The NodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

The items in the NodeList are accessible via an integral index, starting from 0.

## Methods

| __init__ (self)
| __init__ (self, DOM.NodeList other)
bool | isNull (self)
DOM.Node | item (self, long index)
long | length (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.NodeList | other
| ) |  |  |

bool isNull | ( |  | self ) |

DOM.Node item | ( | self, |
|  | long | index
| ) |  |  |

Returns the index th item in the collection. If index is greater than or equal to the number of nodes in the list, this returns null .

Parameters:

  | index | Index into the collection.

Returns:
  The node at the index th position in the

NodeList , or null if that is not a valid index.

long length | ( |  | self ) |

The number of nodes in the list. The range of valid child node indices is 0 to length-1 inclusive.